#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Odds2_VIPData
{
	//VIP等级
	int mVIPlvl;
	//期望盈利上限
	int mExpectedProfit;
	//VIP加成BUFF
	int mBuffID;
	//VIP对应龙珠的换算值(其实就是累计充值多少
	int mDragonValue;
};

class Odds2_VIP
{
public:
private:
	static std::auto_ptr<Odds2_VIP> msSingleton;
public:
	int GetCount();
	const Odds2_VIPData* GetData(int VIPlvl);
	boost::unordered_map<int, Odds2_VIPData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Odds2_VIP* GetSingleton();
private:
	boost::unordered_map<int, Odds2_VIPData> mMapData;
};
